org.springframework.data.relational.core.mapping.event

## Class Identifier

- java.lang.Object
- - org.springframework.data.relational.core.mapping.event.Identifier

    public final class Identifier
    extends Object

Wrapper for an identifier of an entity.

Author:
  Jens Schauder

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`boolean` `equals(Object o)`
`Object` `getValue()` Returns the identifier value.
`int` `hashCode()`
`static Identifier` `of(Object identifier)` Creates a new `Identifier` identifier for the given, non-null value.

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### of

    public static Identifier of(Object identifier)

Creates a new `Identifier` identifier for the given, non-null value.

Parameters:
  `identifier` - must not be null.
Returns:
  will never be null.

#### getValue

    public Object getValue()

Returns the identifier value.

Returns:
  will never be null.

#### equals

    public boolean equals(Object o)

Overrides:
  `equals` in class `Object`

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `Object`